Business Hours

Monday – Saturday
6 AM – 6 PM PDT
Local: 7:21 PM
  1. SALE! Save up to 50% on Moo, Bock, and Witherington Mobile Ed courses, and 15% across the catalog. Call (888) 875-9491!

Article Details

Platform / Device

Windows Mac OS X

Operating System

Windows 7 SP1 (or higher) OS X 10.9 (or higher)


All Versions


Related Tutorials

1:02 Install Logos 6 for Windows 1:02 Install Logos 6 for Mac

Related Articles

Install Logos 6 Report a Problem on Mac Report a Problem on Windows

About Free Support

Understanding the Logos "Free Support" Lifecycle.

We offer three levels of free support for Logos applications. To better understand your support options, please review the information below.

Current Software Status | September 21, 2015

Support status for Logos applications has changed to the following:

Supported Logos 6.0 and higher
Verbum 6.0 and higher
Requires Windows 7 SP1 or OS X 10.9 and higher.
Maintenance No Maintenance version at this time.
Unsupported Logos 5.2b and earlier
Libronix DLS
Logos Library System

Please Note: There will be no more updates for users running Logos on Windows Vista or OS X 10.8, or older. Support for these operating systems and previous Logos versions (5.2b and earlier) ended on Sept. 21st, 2015.

Support Level Summary

A summary of the features and available support options by category are shown in this table:

Feature or Support
Textual Resources
Sync Documents & Settings
Access Web Services
Critical Bug Fixes
Phone & Email Support
New Features
Non-Critical Bug Fixes
New OS Support
Old OS Compatibility
Forum Support

Supported (current generation) applications receive the following: free online updates, all bug fixes, new features, access to the latest resources and data sets, ability to synchronize documents and settings, and come with access to our online support knowledge base as well as full email and telephone support.

Supported versions may require newer operating system versions in order to stay current. To pursue support for your current generation software, please use the following options:


Maintenance versions receive free updates online and can read the latest textual resources, but may not support newer data sets and features. They can sync documents & settings, will get critical bug fixes, and have full email and telephone support. Maintenance versions may run on older operating system versions, but may not receive new features or access to new data sets.

To pursue support for your maintenance software, please use the following options:


Unsupported versions do not receive updates and may not read the latest resource files. Web services that are only used by Unsupported versions may be discontinued without notice. Documents and settings created in an unsupported version may not sync to the latest versions of the software.

Telephone and email support are unavailable or extremely limited, but you can still request help in the Forums. You may be required to update before receiving assistance.

Frequently Asked Questions

I still have Logos 5...

Q: Do I have to buy Logos 6?
A: It is possible to download the free Logos 6 (engine-only update) from the Logos Installation Guide.

Note: This free download will not contain the new resources, datasets, tools and guides included in a paid upgrade. To get the most out Logos 6, consider a Base Package Upgrade.
Get an Upgrade Quote >>

I have an older version of Windows or Mac OS X...

Q: Will Logos 6 work on my computer?
A: Older operating systems (such as Windows XP or Vista, Mac OS X 10.8 "Mavericks," etc.) do not support the newer software. You will need to upgrade your operating system or computer to something more current to use Logos 6.

Q: Can I still use an unsupported version of Logos?
A: You can still use older versions of Logos, and it may continue to work for some time; however, changes and updates to the operating system or other applications may affect Logos.

Q: What if I need to reinstall Logos 4 or Logos 5?
A: We will keep download links available on the Logos 4 Installation Guide and Logos 5 Installation Guide pages for the foreseeable future.

Q: Can I still buy books at
A: Yes. You can continue to buy additional resources, but resources released or updated after April 8th 2014 may not be compatible. It is strongly recommended to that you upgrade to a Supported or Maintenance version to continue expanding your library.